Bug 104928 - ipppd does not possess active-filter option
ipppd does not possess active-filter option
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: isdn4k-utils (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Jay Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-23 13:23 EDT by Marek Greško
Modified: 2015-01-07 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-22 06:58:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Greško 2003-09-23 13:23:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; sk-SK; rv:1.2.1) Gecko/20030225

Description of problem:
The ipppd daemon does not possess active-filter option present in pppd. This
option is needed to make selected packets not to reset the idle timer of the
connection. The ippp link could be held up by third party to cause large phone
bills.

I suspect this issue is related to kernel upgrade also. Latest versions of
kernel (I checked 2.4.22) possess the CONFIG_IPPP_FILTER. Current Red Hat kernel
does not.

Version-Release number of selected component (if applicable):
isdn4k-utils-3.1-62

How reproducible:
Always

Steps to Reproduce:
1. Setup firewall to DROP for example ICMP echo requestes and dial the link with
the idle option set up.
2. Ask somebody to ping your host from the outside.
3. Your link stays up after idle time.
    

Actual Results:  You do not have control about traffic which holds the ISDN link up.

Expected Results:  There is a possibility to filter packet which make sense to
link activity similar to pppd active-filter feature.

Additional info:

This bug may cause large phone bills.
Comment 1 Ngo Than 2003-09-29 11:27:36 EDT
it seems that the current isdn4k-utils-3.1-62 does not support this options.
And it needs kernel patch to have PPP filtering support.

i will update soon new isdn4k-utils, which supports this feature.
Comment 2 Ngo Than 2004-06-22 06:58:02 EDT
it's fixed in FC1/FC2.

Note You need to log in before you can comment on or make changes to this bug.